import { Application } from "typedoc";
import { type PluginConfig } from "./plugin_options.js";
/**
 * Type that can be intersected with TypeDoc's config type to have static type checking for the plugin's configuration.
 * Check out the README.md for an example.
 */
export type Config = {
    umlClassDiagram?: PluginConfig;
};
/**
 * Initializes the plugin.
 * @param app Reference to the application that is loading the plugin.
 */
export declare function load(app: Application): void;
