/**
 * A simple console logger.
 */
export class Logger {
    /**
     * Logs an info message to the console.
     * @param message The message to log.
     */
    // eslint-disable-next-line class-methods-use-this
    info(message) {
        const intro = new Date().toLocaleString() + " [INFO] ";
        console.log(intro + message);
    }
    /**
     * Logs an error message to the console.
     * @param message The message to log.
     */
    // eslint-disable-next-line class-methods-use-this
    error(message) {
        const intro = new Date().toLocaleString() + " [ERROR] ";
        console.log(intro + message);
    }
}
